!(function() {
  var Store = BI.inherit(Fix.Model, {
    state: function() {
      return {
        carrierInfo: {
          carrierType: "depost",
          pending: false
        },
        entityInfo: {
          entityType: "entry",
          entityId: null,
          privilegeDetailBeanList: null
        }
      };
    },

    childContext: ["carrierInfo", "entityInfo"],

    actions: {
      changeEntityInfo: function(cardInfo) {
        this.model.entityInfo = BI.extend({}, this.model.entityInfo, {
          entityId: cardInfo.id
        });
      }
    }
  });

  BI.model("dec.model.demo", Store);
})();
