!(function() {
  var Demo = BI.inherit(BI.Widget, {
    props: {
      height: 600
    },

    _store: function() {
      return BI.Models.getModel("dec.model.demo");
    },

    render: function() {
      return {
        type: "bi.vtape",
        items: [
          {
            el: {
              type: "bi.label",
              textAlign: "left",
              hgap: 10,
              text: "权限详情"
            },
            height: 30
          },
          {
            el: {
              type: "dec.authority.quick.config.pane"
            }
          }
        ]
      };
    },

    getValue: function() {
      //  额外组件如果无需返回值,返回空对象
      return {};
    },

    populate: function(cardInfo) {
      this.store.changeEntityInfo(cardInfo);
    }
  });

  BI.shortcut("dec.demo", Demo);
})();
